<html>
<head>
<title>OGRE: Ogre::ResourceManager Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceManager.html">ResourceManager</a></div>
<h1>Ogre::ResourceManager Class Reference</h1><!-- doxytag: class="Ogre::ResourceManager" --><!-- doxytag: inherits="Ogre::ScriptLoader" -->Defines a generic resource handler.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>&gt;</code>
<p>
<div class="dynheader">
Inheritance diagram for Ogre::ResourceManager:</div>
<div class="dynsection">
<center><font size="2">[<a href="graph_legend.html">legend</a>]</font></center></div>

<p>
<a href="classOgre_1_1ResourceManager-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Types</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::pair<br>
&lt; <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>, bool &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef HashMap<br>
&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>,<br>
 <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">ResourceMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef std::map<br>
&lt; <a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>,<br>
 <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">ResourceHandleMap</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a><br>
&lt; <a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">ResourceHandleMap</a> &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#4f7da59507a5a8550ea97615ff9afff0">ResourceMapIterator</a></td></tr>

<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">OGRE_AUTO_MUTEX&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#c373bd6fb2b37725970280e047d9efe4">ResourceManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#2b2b134c38b4ead5ef13bd157fe2329a">~ResourceManager</a> ()</td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#c64c2b9c9dc775e05a81ff48d4293d4e">create</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual=false, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader=0, const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *createParams=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Creates a new blank resource, but does not immediately load it.  <a href="#c64c2b9c9dc775e05a81ff48d4293d4e"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <br>
<a class="el" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#48c565d0e63b286c6388439ae73417df">createOrRetrieve</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual=false, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader=0, const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *createParams=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new resource, or retrieve an existing one with the same name if it already exists.  <a href="#48c565d0e63b286c6388439ae73417df"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#a7bd4f02b31fba693d3bea6492fe20a8">setMemoryBudget</a> (size_t bytes)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Set a limit on the amount of memory this resource handler may use.  <a href="#a7bd4f02b31fba693d3bea6492fe20a8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#e24629f37283bf777987aab6bc3fa110">getMemoryBudget</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Get the limit on the amount of memory this resource handler may use.  <a href="#e24629f37283bf777987aab6bc3fa110"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#0458e4665975faed7311b05879dfac2f">getMemoryUsage</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the current memory usage, in bytes.  <a href="#0458e4665975faed7311b05879dfac2f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#2cf457c70ea86892b1bec52028c96237">unload</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads a single resource by name.  <a href="#2cf457c70ea86892b1bec52028c96237"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#94962d0929fdc88c25d35672ff2c1ff0">unload</a> (<a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads a single resource by handle.  <a href="#94962d0929fdc88c25d35672ff2c1ff0"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#caba96b1b4816457b03028eed9895789">unloadAll</a> (bool reloadableOnly=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unloads all resources.  <a href="#caba96b1b4816457b03028eed9895789"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#860f0bcac1a4d152878855f9a85a58d3">reloadAll</a> (bool reloadableOnly=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Caused all currently loaded resources to be reloaded.  <a href="#860f0bcac1a4d152878855f9a85a58d3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#7b9ba584a17235f6eff9847b90ba895d">unloadUnreferencedResources</a> (bool reloadableOnly=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Unload all resources which are not referenced by any other object.  <a href="#7b9ba584a17235f6eff9847b90ba895d"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#22dbc50ba8fac0d3222a31ef1ef82dcd">reloadUnreferencedResources</a> (bool reloadableOnly=true)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Caused all currently loaded but not referenced by any other object resources to be reloaded.  <a href="#22dbc50ba8fac0d3222a31ef1ef82dcd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#8675d6b8c353783cf22c3872f7eaa818">remove</a> (<a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;r)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a single resource.  <a href="#8675d6b8c353783cf22c3872f7eaa818"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#bfb0022b18d022a7605f0d19a966f00f">remove</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a single resource by name.  <a href="#bfb0022b18d022a7605f0d19a966f00f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#c22655af03ecea85d863a1d1d561778c">remove</a> (<a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a single resource by handle.  <a href="#c22655af03ecea85d863a1d1d561778c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#6ff50fee06a678837cbeeea75e4372a5">removeAll</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Removes all resources.  <a href="#6ff50fee06a678837cbeeea75e4372a5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#1f223bed768b186a6c3145c26cae4ac3">getByName</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a pointer to a resource by name, or null if the resource does not exist.  <a href="#1f223bed768b186a6c3145c26cae4ac3"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#b1c354fd2294c7c50b3f3e9ce42543f7">getByHandle</a> (<a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Retrieves a pointer to a resource by handle, or null if the resource does not exist.  <a href="#b1c354fd2294c7c50b3f3e9ce42543f7"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#9dcc9da5760fcd3b39b4566fe308ad6b">resourceExists</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether the named resource exists in this manager.  <a href="#9dcc9da5760fcd3b39b4566fe308ad6b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#d9b4efbeacb17f07710c30bd5048e42f">resourceExists</a> (<a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns whether a resource with the given handle exists in this manager.  <a href="#d9b4efbeacb17f07710c30bd5048e42f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#40769092850d5b296e1d1a9190631700">_notifyResourceTouched</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *res)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notify this manager that a resource which it manages has been 'touched', ie used.  <a href="#40769092850d5b296e1d1a9190631700"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#f1a871ac005af0be0b8c1857a4f8eea9">_notifyResourceLoaded</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *res)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notify this manager that a resource which it manages has been loaded.  <a href="#f1a871ac005af0be0b8c1857a4f8eea9"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#54d1843a43aebb13542312cd17134e6a">_notifyResourceUnloaded</a> (<a class="el" href="classOgre_1_1Resource.html">Resource</a> *res)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Notify this manager that a resource which it manages has been unloaded.  <a href="#54d1843a43aebb13542312cd17134e6a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#998612da9b363c55e3be826f2a91c25a">load</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual=false, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader=0, const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *loadParams=0)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Generic load method, used to create a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> specific to this <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> without using one of the specialised 'load' methods (containing per-Resource-type parameters).  <a href="#998612da9b363c55e3be826f2a91c25a"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual const <br>
<a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#37ec0e845f49b7f7e3dc868456ced1e8">getScriptPatterns</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the file patterns which should be used to find scripts for this <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>.  <a href="#37ec0e845f49b7f7e3dc868456ced1e8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#8240f6bbf3449b1f2acdd476efbde821">parseScript</a> (<a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;stream, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;groupName)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Parse the definition of a set of resources from a script file.  <a href="#8240f6bbf3449b1f2acdd476efbde821"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#917b69fbaf300dcb0488d14d357296df">getLoadingOrder</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the relative loading order of resources of this type.  <a href="#917b69fbaf300dcb0488d14d357296df"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#4a16604e10cd71957fcce705dead9a2c">getResourceType</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets a string identifying the type of resource this manager handles.  <a href="#4a16604e10cd71957fcce705dead9a2c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1MapIterator.html">ResourceMapIterator</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#4d3289d4636168230da11c1c9794db59">getResourceIterator</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns an iterator over all resources in this manager.  <a href="#4d3289d4636168230da11c1c9794db59"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#dc9077f415314ebc0f7feb314b76d4d4">getNextHandle</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Allocates the next handle.  <a href="#dc9077f415314ebc0f7feb314b76d4d4"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual <a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#e772fdc39c17a78cc050b161ebef77aa">createImpl</a> (const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name, <a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> handle, const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;group, bool isManual, <a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *loader, const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *createParams)=0</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Create a new resource instance compatible with this manager (no custom parameters are populated at this point).  <a href="#e772fdc39c17a78cc050b161ebef77aa"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#00bb3a6324cff9b1a572282d4c596b57">addImpl</a> (<a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;res)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Add a newly created resource to the manager (note weak reference).  <a href="#00bb3a6324cff9b1a572282d4c596b57"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#7f5826bb4624b28bbe08f3c9fe88ee54">removeImpl</a> (<a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;res)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Remove a resource from this manager; remove it from the lists.  <a href="#7f5826bb4624b28bbe08f3c9fe88ee54"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#8316910598c9ceda62b3ec5be001d372">checkUsage</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Checks memory usage and pages out if required.  <a href="#8316910598c9ceda62b3ec5be001d372"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">ResourceHandleMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#f7ac79c874e49fadc3cd7e228ab640d8">mResourcesByHandle</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">ResourceMap</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#c02278ff18455db85fa7473abad9688c">mResources</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#70a84973505dc749acb913daef662f90">mNextHandle</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#7f0a00e183f455cdce1ec9152722f9b7">mMemoryBudget</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">size_t&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#8b453ef000d4214e608ace37006cb1ff">mMemoryUsage</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#450dcef1a87442bcfe848ff92c43c6b5">mScriptPatterns</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Patterns to use to look for scripts if supported (e.g. *.overlay).  <a href="#450dcef1a87442bcfe848ff92c43c6b5"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#d26313df1d10e7953c90b7c37b373cf8">mLoadOrder</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Loading order relative to other managers, higher is later.  <a href="#d26313df1d10e7953c90b7c37b373cf8"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1ResourceManager.html#86f8c21e087cb00a62d677ef1cd8131d">mResourceType</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">String identifying the resource type this manager handles.  <a href="#86f8c21e087cb00a62d677ef1cd8131d"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Defines a generic resource handler. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>A resource manager is responsible for managing a pool of resources of a particular type. It must index them, look them up, load and destroy them. It may also need to stay within a defined memory budget, and temporaily unload some resources if it needs to to stay within this budget. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd><a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> managers use a priority system to determine what can be unloaded, and a Least Recently Used (LRU) policy within resources of the same priority. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Resources can be loaded using the generalised load interface, and they can be unloaded and removed. In addition, each subclass of <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> will likely define custom 'load' methods which take explicit parameters depending on the kind of resource being created. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Resources can be loaded and unloaded through the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> class, but they can only be removed (and thus eventually destroyed) using their parent <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>. <p>
If OGRE_THREAD_SUPPORT is 1, this class is thread-safe. </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00068">68</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>
<hr><h2>Member Typedef Documentation</h2>
<a class="anchor" name="f484f2b60c8d9bc87f37fa8af8e630c5"></a><!-- doxytag: member="Ogre::ResourceManager::ResourceCreateOrRetrieveResult" ref="f484f2b60c8d9bc87f37fa8af8e630c5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::pair&lt;<a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>, bool&gt; <a class="el" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">Ogre::ResourceManager::ResourceCreateOrRetrieveResult</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00098">98</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="60ea46f69b1dd9c8e27b9b3d7bd5bc35"></a><!-- doxytag: member="Ogre::ResourceManager::ResourceMap" ref="60ea46f69b1dd9c8e27b9b3d7bd5bc35" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef HashMap&lt; <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>, <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &gt; <a class="el" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">Ogre::ResourceManager::ResourceMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00411">411</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="6d9424ed93bc679b5543ddc9fc9fe41b"></a><!-- doxytag: member="Ogre::ResourceManager::ResourceHandleMap" ref="6d9424ed93bc679b5543ddc9fc9fe41b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::map&lt;<a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>, <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a>&gt; <a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">Ogre::ResourceManager::ResourceHandleMap</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00412">412</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4f7da59507a5a8550ea97615ff9afff0"></a><!-- doxytag: member="Ogre::ResourceManager::ResourceMapIterator" ref="4f7da59507a5a8550ea97615ff9afff0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1MapIterator.html">MapIterator</a>&lt;<a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">ResourceHandleMap</a>&gt; <a class="el" href="classOgre_1_1MapIterator.html">Ogre::ResourceManager::ResourceMapIterator</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00430">430</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="c373bd6fb2b37725970280e047d9efe4"></a><!-- doxytag: member="Ogre::ResourceManager::ResourceManager" ref="c373bd6fb2b37725970280e047d9efe4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">OGRE_AUTO_MUTEX Ogre::ResourceManager::ResourceManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<a class="anchor" name="2b2b134c38b4ead5ef13bd157fe2329a"></a><!-- doxytag: member="Ogre::ResourceManager::~ResourceManager" ref="2b2b134c38b4ead5ef13bd157fe2329a" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual Ogre::ResourceManager::~ResourceManager           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="c64c2b9c9dc775e05a81ff48d4293d4e"></a><!-- doxytag: member="Ogre::ResourceManager::create" ref="c64c2b9c9dc775e05a81ff48d4293d4e" args="(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> Ogre::ResourceManager::create           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isManual</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td>
          <td class="paramname"> <em>loader</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td>
          <td class="paramname"> <em>createParams</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Creates a new blank resource, but does not immediately load it. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> managers handle disparate types of resources, so if you want to get at the detailed interface of this resource, you'll have to cast the result to the subclass you know you're creating. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The unique name of the resource </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>group</em>&nbsp;</td><td>The name of the resource group to attach this new resource to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>isManual</em>&nbsp;</td><td>Is this resource manually loaded? If so, you should really populate the loader parameter in order that the load process can call the loader back when loading is required. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>loader</em>&nbsp;</td><td>Pointer to a ManualLoader implementation which will be called when the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> wishes to load (should be supplied if you set isManual to true). You can in fact leave this parameter null if you wish, but the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> will never be able to reload if anything ever causes it to unload. Therefore provision of a proper ManualLoader instance is strongly recommended. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>createParams</em>&nbsp;</td><td>If any parameters are required to create an instance, they should be supplied here as name / value pairs </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="48c565d0e63b286c6388439ae73417df"></a><!-- doxytag: member="Ogre::ResourceManager::createOrRetrieve" ref="48c565d0e63b286c6388439ae73417df" args="(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *createParams=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1ResourceManager.html#f484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a> Ogre::ResourceManager::createOrRetrieve           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isManual</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td>
          <td class="paramname"> <em>loader</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td>
          <td class="paramname"> <em>createParams</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new resource, or retrieve an existing one with the same name if it already exists. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method performs the same task as calling <a class="el" href="classOgre_1_1ResourceManager.html#1f223bed768b186a6c3145c26cae4ac3" title="Retrieves a pointer to a resource by name, or null if the resource does not exist...">getByName()</a> followed by <a class="el" href="classOgre_1_1ResourceManager.html#c64c2b9c9dc775e05a81ff48d4293d4e" title="Creates a new blank resource, but does not immediately load it.">create()</a> if that returns null. The advantage is that it does it in one call so there are no race conditions if using multiple threads that could cause <a class="el" href="classOgre_1_1ResourceManager.html#1f223bed768b186a6c3145c26cae4ac3" title="Retrieves a pointer to a resource by name, or null if the resource does not exist...">getByName()</a> to return null, but <a class="el" href="classOgre_1_1ResourceManager.html#c64c2b9c9dc775e05a81ff48d4293d4e" title="Creates a new blank resource, but does not immediately load it.">create()</a> to fail because another thread created a resource in between. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceManager.html#c64c2b9c9dc775e05a81ff48d4293d4e" title="Creates a new blank resource, but does not immediately load it.">ResourceManager::create</a> <p>
<a class="el" href="classOgre_1_1ResourceManager.html#1f223bed768b186a6c3145c26cae4ac3" title="Retrieves a pointer to a resource by name, or null if the resource does not exist...">ResourceManager::getByName</a> </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A pair, the first element being the pointer, and the second being an indicator specifying whether the resource was newly created. </dd></dl>

</div>
</div><p>
<a class="anchor" name="a7bd4f02b31fba693d3bea6492fe20a8"></a><!-- doxytag: member="Ogre::ResourceManager::setMemoryBudget" ref="a7bd4f02b31fba693d3bea6492fe20a8" args="(size_t bytes)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::setMemoryBudget           </td>
          <td>(</td>
          <td class="paramtype">size_t&nbsp;</td>
          <td class="paramname"> <em>bytes</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Set a limit on the amount of memory this resource handler may use. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>If, when asked to load a new resource, the manager believes it will exceed this memory budget, it will temporarily unload a resource to make room for the new one. This unloading is not permanent and the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> is not destroyed; it simply needs to be reloaded when next used. </dd></dl>

</div>
</div><p>
<a class="anchor" name="e24629f37283bf777987aab6bc3fa110"></a><!-- doxytag: member="Ogre::ResourceManager::getMemoryBudget" ref="e24629f37283bf777987aab6bc3fa110" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::ResourceManager::getMemoryBudget           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Get the limit on the amount of memory this resource handler may use. 
<p>

</div>
</div><p>
<a class="anchor" name="0458e4665975faed7311b05879dfac2f"></a><!-- doxytag: member="Ogre::ResourceManager::getMemoryUsage" ref="0458e4665975faed7311b05879dfac2f" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual size_t Ogre::ResourceManager::getMemoryUsage           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the current memory usage, in bytes. 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00131">131</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="2cf457c70ea86892b1bec52028c96237"></a><!-- doxytag: member="Ogre::ResourceManager::unload" ref="2cf457c70ea86892b1bec52028c96237" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::unload           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads a single resource by name. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Unloaded resources are not removed, they simply free up their memory as much as they can and wait to be reloaded. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a> for unloading of resource groups. </dd></dl>

</div>
</div><p>
<a class="anchor" name="94962d0929fdc88c25d35672ff2c1ff0"></a><!-- doxytag: member="Ogre::ResourceManager::unload" ref="94962d0929fdc88c25d35672ff2c1ff0" args="(ResourceHandle handle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::unload           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td>
          <td class="paramname"> <em>handle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads a single resource by handle. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Unloaded resources are not removed, they simply free up their memory as much as they can and wait to be reloaded. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a> for unloading of resource groups. </dd></dl>

</div>
</div><p>
<a class="anchor" name="caba96b1b4816457b03028eed9895789"></a><!-- doxytag: member="Ogre::ResourceManager::unloadAll" ref="caba96b1b4816457b03028eed9895789" args="(bool reloadableOnly=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::unloadAll           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reloadableOnly</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unloads all resources. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Unloaded resources are not removed, they simply free up their memory as much as they can and wait to be reloaded. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a> for unloading of resource groups. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reloadableOnly</em>&nbsp;</td><td>If true (the default), only unload the resource that is reloadable. Because some resources isn't reloadable, they will be unloaded but can't load them later. Thus, you might not want to them unloaded. Or, you might unload all of them, and then populate them manually later. </td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html#adcaa41accf6256ecf6c402e4839c0e9" title="Returns true if the Resource is reloadable, false otherwise.">Resource::isReloadable</a> for resource is reloadable. </dd></dl>

</div>
</div><p>
<a class="anchor" name="860f0bcac1a4d152878855f9a85a58d3"></a><!-- doxytag: member="Ogre::ResourceManager::reloadAll" ref="860f0bcac1a4d152878855f9a85a58d3" args="(bool reloadableOnly=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::reloadAll           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reloadableOnly</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Caused all currently loaded resources to be reloaded. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>All resources currently being held in this manager which are also marked as currently loaded will be unloaded, then loaded again. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reloadableOnly</em>&nbsp;</td><td>If true (the default), only reload the resource that is reloadable. Because some resources isn't reloadable, they will be unloaded but can't loaded again. Thus, you might not want to them unloaded. Or, you might unload all of them, and then populate them manually later. </td></tr>
  </table>
</dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1Resource.html#adcaa41accf6256ecf6c402e4839c0e9" title="Returns true if the Resource is reloadable, false otherwise.">Resource::isReloadable</a> for resource is reloadable. </dd></dl>

</div>
</div><p>
<a class="anchor" name="7b9ba584a17235f6eff9847b90ba895d"></a><!-- doxytag: member="Ogre::ResourceManager::unloadUnreferencedResources" ref="7b9ba584a17235f6eff9847b90ba895d" args="(bool reloadableOnly=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::unloadUnreferencedResources           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reloadableOnly</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Unload all resources which are not referenced by any other object. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method behaves like unloadAll, except that it only unloads resources which are not in use, ie not referenced by other objects. This allows you to free up some memory selectively whilst still keeping the group around (and the resources present, just not using much memory). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Some referenced resource may exists 'weak' pointer to their sub-components (e.g. <a class="el" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> held pointer to <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>), in this case, unload or reload that resource will cause dangerous pointer access. Use this function instead of unloadAll allows you avoid fail in those situations. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reloadableOnly</em>&nbsp;</td><td>If true (the default), only unloads resources which can be subsequently automatically reloaded. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="22dbc50ba8fac0d3222a31ef1ef82dcd"></a><!-- doxytag: member="Ogre::ResourceManager::reloadUnreferencedResources" ref="22dbc50ba8fac0d3222a31ef1ef82dcd" args="(bool reloadableOnly=true)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::reloadUnreferencedResources           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>reloadableOnly</em> = <code>true</code>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Caused all currently loaded but not referenced by any other object resources to be reloaded. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method behaves like reloadAll, except that it only reloads resources which are not in use, ie not referenced by other objects. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Some referenced resource may exists 'weak' pointer to their sub-components (e.g. <a class="el" href="classOgre_1_1Entity.html" title="Defines an instance of a discrete, movable object based on a Mesh.">Entity</a> held pointer to <a class="el" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>), in this case, unload or reload that resource will cause dangerous pointer access. Use this function instead of reloadAll allows you avoid fail in those situations. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>reloadableOnly</em>&nbsp;</td><td>If true (the default), only reloads resources which can be subsequently automatically reloaded. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="8675d6b8c353783cf22c3872f7eaa818"></a><!-- doxytag: member="Ogre::ResourceManager::remove" ref="8675d6b8c353783cf22c3872f7eaa818" args="(ResourcePtr &amp;r)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::remove           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>r</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a single resource. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Removes a single resource, meaning it will be removed from the list of valid resources in this manager, also causing it to be unloaded. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The word 'Destroy' is not used here, since if any other pointers are referring to this resource, it will persist until they have finished with it; however to all intents and purposes it no longer exists and will likely get destroyed imminently. <p>
If you do have shared pointers to resources hanging around after the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE. </dd></dl>

</div>
</div><p>
<a class="anchor" name="bfb0022b18d022a7605f0d19a966f00f"></a><!-- doxytag: member="Ogre::ResourceManager::remove" ref="bfb0022b18d022a7605f0d19a966f00f" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::remove           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a single resource by name. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Removes a single resource, meaning it will be removed from the list of valid resources in this manager, also causing it to be unloaded. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The word 'Destroy' is not used here, since if any other pointers are referring to this resource, it will persist until they have finished with it; however to all intents and purposes it no longer exists and will likely get destroyed imminently. <p>
If you do have shared pointers to resources hanging around after the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE. </dd></dl>

</div>
</div><p>
<a class="anchor" name="c22655af03ecea85d863a1d1d561778c"></a><!-- doxytag: member="Ogre::ResourceManager::remove" ref="c22655af03ecea85d863a1d1d561778c" args="(ResourceHandle handle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::remove           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td>
          <td class="paramname"> <em>handle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a single resource by handle. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Removes a single resource, meaning it will be removed from the list of valid resources in this manager, also causing it to be unloaded. </dd></dl>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The word 'Destroy' is not used here, since if any other pointers are referring to this resource, it will persist until they have finished with it; however to all intents and purposes it no longer exists and will likely get destroyed imminently. <p>
If you do have shared pointers to resources hanging around after the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE. </dd></dl>

</div>
</div><p>
<a class="anchor" name="6ff50fee06a678837cbeeea75e4372a5"></a><!-- doxytag: member="Ogre::ResourceManager::removeAll" ref="6ff50fee06a678837cbeeea75e4372a5" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::removeAll           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Removes all resources. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>The word 'Destroy' is not used here, since if any other pointers are referring to these resources, they will persist until they have been finished with; however to all intents and purposes the resources no longer exist and will get destroyed imminently. <p>
If you do have shared pointers to resources hanging around after the <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> is destroyed, you may get problems on destruction of these resources if they were relying on the manager (especially if it is a plugin). If you find you get problems on shutdown in the destruction of resources, try making sure you release all your shared pointers before you shutdown OGRE. </dd></dl>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorManager.html#565f51a7a31bc6848c9e334d1c699242">Ogre::CompositorManager</a>.</p>

</div>
</div><p>
<a class="anchor" name="1f223bed768b186a6c3145c26cae4ac3"></a><!-- doxytag: member="Ogre::ResourceManager::getByName" ref="1f223bed768b186a6c3145c26cae4ac3" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> Ogre::ResourceManager::getByName           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a pointer to a resource by name, or null if the resource does not exist. 
<p>

</div>
</div><p>
<a class="anchor" name="b1c354fd2294c7c50b3f3e9ce42543f7"></a><!-- doxytag: member="Ogre::ResourceManager::getByHandle" ref="b1c354fd2294c7c50b3f3e9ce42543f7" args="(ResourceHandle handle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> Ogre::ResourceManager::getByHandle           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td>
          <td class="paramname"> <em>handle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Retrieves a pointer to a resource by handle, or null if the resource does not exist. 
<p>

</div>
</div><p>
<a class="anchor" name="9dcc9da5760fcd3b39b4566fe308ad6b"></a><!-- doxytag: member="Ogre::ResourceManager::resourceExists" ref="9dcc9da5760fcd3b39b4566fe308ad6b" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::ResourceManager::resourceExists           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether the named resource exists in this manager. 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00287">287</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d9b4efbeacb17f07710c30bd5048e42f"></a><!-- doxytag: member="Ogre::ResourceManager::resourceExists" ref="d9b4efbeacb17f07710c30bd5048e42f" args="(ResourceHandle handle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool Ogre::ResourceManager::resourceExists           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td>
          <td class="paramname"> <em>handle</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns whether a resource with the given handle exists in this manager. 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00292">292</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="40769092850d5b296e1d1a9190631700"></a><!-- doxytag: member="Ogre::ResourceManager::_notifyResourceTouched" ref="40769092850d5b296e1d1a9190631700" args="(Resource *res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::_notifyResourceTouched           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td>
          <td class="paramname"> <em>res</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notify this manager that a resource which it manages has been 'touched', ie used. 
<p>

</div>
</div><p>
<a class="anchor" name="f1a871ac005af0be0b8c1857a4f8eea9"></a><!-- doxytag: member="Ogre::ResourceManager::_notifyResourceLoaded" ref="f1a871ac005af0be0b8c1857a4f8eea9" args="(Resource *res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::_notifyResourceLoaded           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td>
          <td class="paramname"> <em>res</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notify this manager that a resource which it manages has been loaded. 
<p>

</div>
</div><p>
<a class="anchor" name="54d1843a43aebb13542312cd17134e6a"></a><!-- doxytag: member="Ogre::ResourceManager::_notifyResourceUnloaded" ref="54d1843a43aebb13542312cd17134e6a" args="(Resource *res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::_notifyResourceUnloaded           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Resource.html">Resource</a> *&nbsp;</td>
          <td class="paramname"> <em>res</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Notify this manager that a resource which it manages has been unloaded. 
<p>

</div>
</div><p>
<a class="anchor" name="998612da9b363c55e3be826f2a91c25a"></a><!-- doxytag: member="Ogre::ResourceManager::load" ref="998612da9b363c55e3be826f2a91c25a" args="(const String &amp;name, const String &amp;group, bool isManual=false, ManualResourceLoader *loader=0, const NameValuePairList *loadParams=0)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> Ogre::ResourceManager::load           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isManual</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td>
          <td class="paramname"> <em>loader</em> = <code>0</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td>
          <td class="paramname"> <em>loadParams</em> = <code>0</code></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Generic load method, used to create a <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> specific to this <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a> without using one of the specialised 'load' methods (containing per-Resource-type parameters). 
<p>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The name of the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>group</em>&nbsp;</td><td>The resource group to which this resource will belong </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>isManual</em>&nbsp;</td><td>Is the resource to be manually loaded? If so, you should provide a value for the loader parameter </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>loader</em>&nbsp;</td><td>The manual loader which is to perform the required actions when this resource is loaded; only applicable when you specify true for the previous parameter </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>loadParams</em>&nbsp;</td><td>Optional pointer to a list of name/value pairs containing loading parameters for this type of resource. </td></tr>
  </table>
</dl>

</div>
</div><p>
<a class="anchor" name="37ec0e845f49b7f7e3dc868456ced1e8"></a><!-- doxytag: member="Ogre::ResourceManager::getScriptPatterns" ref="37ec0e845f49b7f7e3dc868456ced1e8" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const <a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a>&amp; Ogre::ResourceManager::getScriptPatterns           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the file patterns which should be used to find scripts for this <a class="el" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Some resource managers can read script files in order to define resources ahead of time. These resources are added to the available list inside the manager, but none are loaded initially. This allows you to load the items that are used on demand, or to load them all as a group if you wish (through <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a>). </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>This method lets you determine the file pattern which will be used to identify scripts intended for this manager. </dd></dl>
<dl class="return" compact><dt><b>Returns:</b></dt><dd>A list of file patterns, in the order they should be searched in. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd>isScriptingSupported, <a class="el" href="classOgre_1_1ResourceManager.html#8240f6bbf3449b1f2acdd476efbde821" title="Parse the definition of a set of resources from a script file.">parseScript</a> </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#78189fd757a233f34d5d272f76f6abf6">Ogre::ScriptLoader</a>.</p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00344">344</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8240f6bbf3449b1f2acdd476efbde821"></a><!-- doxytag: member="Ogre::ResourceManager::parseScript" ref="8240f6bbf3449b1f2acdd476efbde821" args="(DataStreamPtr &amp;stream, const String &amp;groupName)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::parseScript           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">DataStreamPtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>stream</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>groupName</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Parse the definition of a set of resources from a script file. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Some resource managers can read script files in order to define resources ahead of time. These resources are added to the available list inside the manager, but none are loaded initially. This allows you to load the items that are used on demand, or to load them all as a group if you wish (through <a class="el" href="classOgre_1_1ResourceGroupManager.html" title="This singleton class manages the list of resource groups, and notifying the various...">ResourceGroupManager</a>). </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>stream</em>&nbsp;</td><td>Weak reference to a data stream which is the source of the script </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>groupName</em>&nbsp;</td><td>The name of the resource group that resources which are parsed are to become a member of. If this group is loaded or unloaded, then the resources discovered in this script will be loaded / unloaded with it. </td></tr>
  </table>
</dl>

<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#6bd73a15503c5cb29ed8b7e264e12293">Ogre::ScriptLoader</a>.</p>

<p>Reimplemented in <a class="el" href="classOgre_1_1CompositorManager.html#350a7cda7c7e63fa6d7243133b24c3f1">Ogre::CompositorManager</a>, <a class="el" href="classOgre_1_1FontManager.html#da6af0d588fd5c17f0f8f7904fa657a8">Ogre::FontManager</a>, and <a class="el" href="classOgre_1_1MaterialManager.html#7e3d13469f80b5814e20f9f959384119">Ogre::MaterialManager</a>.</p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00359">359</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="917b69fbaf300dcb0488d14d357296df"></a><!-- doxytag: member="Ogre::ResourceManager::getLoadingOrder" ref="917b69fbaf300dcb0488d14d357296df" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> Ogre::ResourceManager::getLoadingOrder           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const<code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the relative loading order of resources of this type. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>There are dependencies between some kinds of resource in terms of loading order, and this value enumerates that. Higher values load later during bulk loading tasks. </dd></dl>

<p>Implements <a class="el" href="classOgre_1_1ScriptLoader.html#12af311e1399d48c02c57bb545b50497">Ogre::ScriptLoader</a>.</p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00367">367</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4a16604e10cd71957fcce705dead9a2c"></a><!-- doxytag: member="Ogre::ResourceManager::getResourceType" ref="4a16604e10cd71957fcce705dead9a2c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; Ogre::ResourceManager::getResourceType           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets a string identifying the type of resource this manager handles. 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00370">370</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="dc9077f415314ebc0f7feb314b76d4d4"></a><!-- doxytag: member="Ogre::ResourceManager::getNextHandle" ref="dc9077f415314ebc0f7feb314b76d4d4" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> Ogre::ResourceManager::getNextHandle           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Allocates the next handle. 
<p>

</div>
</div><p>
<a class="anchor" name="e772fdc39c17a78cc050b161ebef77aa"></a><!-- doxytag: member="Ogre::ResourceManager::createImpl" ref="e772fdc39c17a78cc050b161ebef77aa" args="(const String &amp;name, ResourceHandle handle, const String &amp;group, bool isManual, ManualResourceLoader *loader, const NameValuePairList *createParams)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Resource.html">Resource</a>* Ogre::ResourceManager::createImpl           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a>&nbsp;</td>
          <td class="paramname"> <em>handle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>group</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>isManual</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1ManualResourceLoader.html">ManualResourceLoader</a> *&nbsp;</td>
          <td class="paramname"> <em>loader</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#0537f38d7a77fcbe9f600f6ed8a926d6">NameValuePairList</a> *&nbsp;</td>
          <td class="paramname"> <em>createParams</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"><code> [protected, pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Create a new resource instance compatible with this manager (no custom parameters are populated at this point). 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Subclasses must override this method and create a subclass of <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a>. </dd></dl>
<dl compact><dt><b>Parameters:</b></dt><dd>
  <table border="0" cellspacing="2" cellpadding="0">
    <tr><td valign="top"></td><td valign="top"><em>name</em>&nbsp;</td><td>The unique name of the resource </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>group</em>&nbsp;</td><td>The name of the resource group to attach this new resource to </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>isManual</em>&nbsp;</td><td>Is this resource manually loaded? If so, you should really populate the loader parameter in order that the load process can call the loader back when loading is required. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>loader</em>&nbsp;</td><td>Pointer to a ManualLoader implementation which will be called when the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> wishes to load (should be supplied if you set isManual to true). You can in fact leave this parameter null if you wish, but the <a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> will never be able to reload if anything ever causes it to unload. Therefore provision of a proper ManualLoader instance is strongly recommended. </td></tr>
    <tr><td valign="top"></td><td valign="top"><em>createParams</em>&nbsp;</td><td>If any parameters are required to create an instance, they should be supplied here as name / value pairs. These do not need to be set on the instance (handled elsewhere), just used if required to differentiate which concrete class is created. </td></tr>
  </table>
</dl>

<p>Implemented in <a class="el" href="classOgre_1_1CompositorManager.html#080ccf8b0bc960851de3e714074ac306">Ogre::CompositorManager</a>, <a class="el" href="classOgre_1_1FontManager.html#c067f11112a99ccc9e2b2e8e668740b7">Ogre::FontManager</a>, <a class="el" href="classOgre_1_1HighLevelGpuProgramManager.html#0d2207af18c5f54f7c1192557bad9041">Ogre::HighLevelGpuProgramManager</a>, <a class="el" href="classOgre_1_1MaterialManager.html#180628074c80bf03adcb4eecc8d0e711">Ogre::MaterialManager</a>, <a class="el" href="classOgre_1_1MeshManager.html#e56d2898d4239669c1980ab65cb090cb">Ogre::MeshManager</a>, and <a class="el" href="classOgre_1_1SkeletonManager.html#f260bb8d307248c863a0ccc1fb434c33">Ogre::SkeletonManager</a>.</p>

</div>
</div><p>
<a class="anchor" name="00bb3a6324cff9b1a572282d4c596b57"></a><!-- doxytag: member="Ogre::ResourceManager::addImpl" ref="00bb3a6324cff9b1a572282d4c596b57" args="(ResourcePtr &amp;res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::addImpl           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>res</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Add a newly created resource to the manager (note weak reference). 
<p>

</div>
</div><p>
<a class="anchor" name="7f5826bb4624b28bbe08f3c9fe88ee54"></a><!-- doxytag: member="Ogre::ResourceManager::removeImpl" ref="7f5826bb4624b28bbe08f3c9fe88ee54" args="(ResourcePtr &amp;res)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::removeImpl           </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SharedPtr.html">ResourcePtr</a> &amp;&nbsp;</td>
          <td class="paramname"> <em>res</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Remove a resource from this manager; remove it from the lists. 
<p>

</div>
</div><p>
<a class="anchor" name="8316910598c9ceda62b3ec5be001d372"></a><!-- doxytag: member="Ogre::ResourceManager::checkUsage" ref="8316910598c9ceda62b3ec5be001d372" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void Ogre::ResourceManager::checkUsage           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [protected, virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Checks memory usage and pages out if required. 
<p>

</div>
</div><p>
<a class="anchor" name="4d3289d4636168230da11c1c9794db59"></a><!-- doxytag: member="Ogre::ResourceManager::getResourceIterator" ref="4d3289d4636168230da11c1c9794db59" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1MapIterator.html">ResourceMapIterator</a> Ogre::ResourceManager::getResourceIterator           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns an iterator over all resources in this manager. 
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd>Use of this iterator is NOT thread safe! </dd></dl>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00435">435</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="f7ac79c874e49fadc3cd7e228ab640d8"></a><!-- doxytag: member="Ogre::ResourceManager::mResourcesByHandle" ref="f7ac79c874e49fadc3cd7e228ab640d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceManager.html#6d9424ed93bc679b5543ddc9fc9fe41b">ResourceHandleMap</a> <a class="el" href="classOgre_1_1ResourceManager.html#f7ac79c874e49fadc3cd7e228ab640d8">Ogre::ResourceManager::mResourcesByHandle</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00414">414</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="c02278ff18455db85fa7473abad9688c"></a><!-- doxytag: member="Ogre::ResourceManager::mResources" ref="c02278ff18455db85fa7473abad9688c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1ResourceManager.html#60ea46f69b1dd9c8e27b9b3d7bd5bc35">ResourceMap</a> <a class="el" href="classOgre_1_1ResourceManager.html#c02278ff18455db85fa7473abad9688c">Ogre::ResourceManager::mResources</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00415">415</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="70a84973505dc749acb913daef662f90"></a><!-- doxytag: member="Ogre::ResourceManager::mNextHandle" ref="70a84973505dc749acb913daef662f90" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a1814a97f96347b215b50c11ac2ad09b">ResourceHandle</a> <a class="el" href="classOgre_1_1ResourceManager.html#70a84973505dc749acb913daef662f90">Ogre::ResourceManager::mNextHandle</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00416">416</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="7f0a00e183f455cdce1ec9152722f9b7"></a><!-- doxytag: member="Ogre::ResourceManager::mMemoryBudget" ref="7f0a00e183f455cdce1ec9152722f9b7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ResourceManager.html#7f0a00e183f455cdce1ec9152722f9b7">Ogre::ResourceManager::mMemoryBudget</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00417">417</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="8b453ef000d4214e608ace37006cb1ff"></a><!-- doxytag: member="Ogre::ResourceManager::mMemoryUsage" ref="8b453ef000d4214e608ace37006cb1ff" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">size_t <a class="el" href="classOgre_1_1ResourceManager.html#8b453ef000d4214e608ace37006cb1ff">Ogre::ResourceManager::mMemoryUsage</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00418">418</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="450dcef1a87442bcfe848ff92c43c6b5"></a><!-- doxytag: member="Ogre::ResourceManager::mScriptPatterns" ref="450dcef1a87442bcfe848ff92c43c6b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#783e5227595f351519627abfb740ec85">StringVector</a> <a class="el" href="classOgre_1_1ResourceManager.html#450dcef1a87442bcfe848ff92c43c6b5">Ogre::ResourceManager::mScriptPatterns</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Patterns to use to look for scripts if supported (e.g. *.overlay). 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00423">423</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="d26313df1d10e7953c90b7c37b373cf8"></a><!-- doxytag: member="Ogre::ResourceManager::mLoadOrder" ref="d26313df1d10e7953c90b7c37b373cf8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1ResourceManager.html#d26313df1d10e7953c90b7c37b373cf8">Ogre::ResourceManager::mLoadOrder</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Loading order relative to other managers, higher is later. 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00425">425</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="86f8c21e087cb00a62d677ef1cd8131d"></a><!-- doxytag: member="Ogre::ResourceManager::mResourceType" ref="86f8c21e087cb00a62d677ef1cd8131d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1ResourceManager.html#86f8c21e087cb00a62d677ef1cd8131d">Ogre::ResourceManager::mResourceType</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
String identifying the resource type this manager handles. 
<p>

<p>Definition at line <a class="el" href="OgreResourceManager_8h-source.html#l00427">427</a> of file <a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreResourceManager_8h-source.html">OgreResourceManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:35 2008
</p>
</body>
</html>
